/* Revision History
 *
 * $Id: PerlInterpreter.h,v 1.3 1999/11/24 16:25:15 mthomas Exp $
 *
 */


#ifndef __PERL_INTERPRETER_H
#define __PERL_INTERPRETER_H


#include "Interpreter.h"
#include "evalperl.h"


class Perlinterpreter : public Interpreter
{

	public :

		void addFunctionsToTable( TableT &	table ) const;
		void initialise( const string & perllib );

	private :

		Token EvaluateFunction(
				const Token::BTree &	expression,
				TableT &		lookupTable ) const;
		Token EvaluatePerlFunction(
				const Token::BTree &	expression,
				TableT &		lookupTable ) const;

};

extern Perlinterpreter perlInterpreter;



#endif

