//
// file.cc
//
//
// HISTORY:
//
//    Date        Author   Modifications
//    --------    ------   -------------
//    15/06/97    MT       Initial Version
//
//
//
//
//
//
//
// DESCRIPTION
//
//
//


#include <fstream.h>


#include "Tracer.h"
#include "file.h"


FileT::FileT( const string & fileName )

	: StreamT( *(new ifstream( fileName.c_str() ))),
	_fileName( fileName )
{
	PROC
	// ************************************************
	// Check to see if the file opened correctly.
	//
	// Potential bug:
	// =============
	// This may not be the best place to do this check,
	// and it may be neceassary to move this code
	// somewhere else.
	// If the file was not opened correctly, then
	// display a message, and exit.
	// ************************************************
	if( !stream() )
	{
		cerr << "Error: The file " << fileName << " could not be opened." << endl;
		exit( 1 );
	} // if

	ENDPROC
}


FileT::~FileT()
{
	PROC
	delete &stream();
	ENDPROC
}


const string &
FileT::FileNameOf() const
{
	PROC
	RETURN _fileName;

}

